Create Folder
Create a folder at a given path.
Required scope: files.content.write
Endpoint format: RPC
Authentication: User, Dropbox-API-Select-Admin (Team Admin)
Authentication
OAuth 2.0 token issued to a specific user. Use Authorization: Bearer <token>.
Public clients should use the authorization code flow with PKCE (S256).
For background or offline access, send token_access_type=offline during authorization and use the returned refresh token to obtain new access tokens.
You can generate a short-lived access token from the App Console; see Testing with a generated token.
Headers
Acts on behalf of a team member for supported user-auth operations. Pass a team member ID such as dbmid:.... When used with a team token, that token must also include the team_data.member scope.
Acts as the specified team admin for supported user-auth operations. Pass a team member ID for an admin account. When used with a team token, that token must also include the team_data.member scope.
Scopes path-based operations to a namespace (root). The value is a JSON serialization of the common.PathRoot union: {".tag": "home"}, {".tag": "root", "root": "<namespace_id>"}, or {".tag": "namespace_id", "namespace_id": "<namespace_id>"}. On failure the request returns 422 with a common.PathRootError.
Request
Response headers
Response
The last component of the path (including extension). This never contains a slash.
The cased path to be used for display purposes only. In rare instances the casing will not correctly match the user’s filesystem, but this behavior will match the path provided in the Core API v1, and at least the last path component will have the correct casing. Changes to only the casing of paths won’t be returned by list_folder/continue. This field will be null if the file or folder is not mounted.
Additional information if the file has custom properties with the property template specified. Note that only properties associated with user-owned templates, not team-owned templates, can be attached to folders.